The Process Period Closing Voucher object
Attributes
Unique identifier for the object.
ISO 8601 timestamp of when the object was created.
ISO 8601 timestamp of when the object was last updated.
Default: draft
{
"id": "process-period-closing-voucher_abc123",
"created_at": "2024-01-15T09: 30: 00Z",
"updated_at": "2024-01-15T09: 30: 00Z",
"status": "draft",
"parent_pcv": "parent_pcv_example",
"p_l_closing_balance": {},
"bs_closing_balance": {}
} /api/accounts/process-period-closing-voucher/{id} Retrieve a process period closing voucher
Retrieves the details of an existing process period closing voucher. Supply the unique process period closing voucher ID that was returned from a previous request.
Path parameters
The identifier of the process period closing voucher to retrieve.
Returns
Returns the process period closing voucher object if a valid identifier was provided.
curl https://api.overplane.dev/api/accounts/process-period-closing-voucher/process-period-closing-voucher_abc123 \
-H "Authorization: Bearer sk_test_..." {
"id": "process-period-closing-voucher_abc123",
"created_at": "2024-01-15T09: 30: 00Z",
"updated_at": "2024-01-15T09: 30: 00Z",
"status": "draft",
"parent_pcv": "parent_pcv_example",
"p_l_closing_balance": {},
"bs_closing_balance": {}
} /api/accounts/process-period-closing-voucher List all process period closing vouchers
Returns a list of process period closing vouchers. The results are sorted by creation date, with the most recently created appearing first.
Query parameters
Maximum number of objects to return. Default: 20.
Number of objects to skip for pagination. Default: 0.
Returns
A paginated list of process period closing voucher objects.
curl https://api.overplane.dev/api/accounts/process-period-closing-voucher \
-H "Authorization: Bearer sk_test_..." {
"data": [
{
"id": "process-period-closing-voucher_abc123",
"created_at": "2024-01-15T09: 30: 00Z",
"updated_at": "2024-01-15T09: 30: 00Z",
"status": "draft",
"parent_pcv": "parent_pcv_example",
"p_l_closing_balance": {},
"bs_closing_balance": {}
}
],
"has_more": false,
"total": 1
} /api/accounts/process-period-closing-voucher Create a process period closing voucher
Creates a new process period closing voucher object.
Body parameters
Default: draft
Returns
Returns the newly created process period closing voucher object if the call succeeded.
curl https://api.overplane.dev/api/accounts/process-period-closing-voucher \
-H "Authorization: Bearer sk_test_..." \
-X POST \
-H "Content-Type: application/json" \
-d '{"parent_pcv":"parent_pcv_example"}' {
"id": "process-period-closing-voucher_abc123",
"created_at": "2024-01-15T09: 30: 00Z",
"updated_at": "2024-01-15T09: 30: 00Z",
"status": "draft",
"parent_pcv": "parent_pcv_example",
"p_l_closing_balance": {},
"bs_closing_balance": {}
} /api/accounts/process-period-closing-voucher/{id} Update a process period closing voucher
Updates the specified process period closing voucher by setting the values of the parameters passed. Any parameters not provided will be left unchanged.
Path parameters
The identifier of the process period closing voucher to update.
Body parameters
Default: draft
Returns
Returns the updated process period closing voucher object.
curl https://api.overplane.dev/api/accounts/process-period-closing-voucher/process-period-closing-voucher_abc123 \
-H "Authorization: Bearer sk_test_..." \
-X PATCH \
-H "Content-Type: application/json" \
-d '{"status":"draft","parent_pcv":"parent_pcv_example"}' {
"id": "process-period-closing-voucher_abc123",
"created_at": "2024-01-15T09: 30: 00Z",
"updated_at": "2024-01-15T09: 30: 00Z",
"status": "draft",
"parent_pcv": "parent_pcv_example",
"p_l_closing_balance": {},
"bs_closing_balance": {}
} /api/accounts/process-period-closing-voucher/{id} Delete a process period closing voucher
Permanently deletes a process period closing voucher. This cannot be undone.
Path parameters
The identifier of the process period closing voucher to delete.
Returns
Returns a confirmation that the process period closing voucher has been deleted.
curl https://api.overplane.dev/api/accounts/process-period-closing-voucher/process-period-closing-voucher_abc123 \
-H "Authorization: Bearer sk_test_..." \
-X DELETE {
"id": "process-period-closing-voucher_abc123",
"deleted": true
} /api/accounts/process-period-closing-voucher/{id}/submit Submit a process period closing voucher
Submits a draft process period closing voucher, transitioning its status from draft to submitted.
Path parameters
The identifier of the process period closing voucher to act on.
Returns
Returns the process period closing voucher object with updated status.
curl https://api.overplane.dev/api/accounts/process-period-closing-voucher/process-period-closing-voucher_abc123/submit \
-H "Authorization: Bearer sk_test_..." \
-X POST {
"id": "process-period-closing-voucher_abc123",
"created_at": "2024-01-15T09: 30: 00Z",
"updated_at": "2024-01-15T09: 30: 00Z",
"status": "draft",
"parent_pcv": "parent_pcv_example",
"p_l_closing_balance": {},
"bs_closing_balance": {}
} /api/accounts/process-period-closing-voucher/{id}/cancel Cancel a process period closing voucher
Cancels a submitted process period closing voucher, transitioning its status to cancelled.
Path parameters
The identifier of the process period closing voucher to act on.
Returns
Returns the process period closing voucher object with updated status.
curl https://api.overplane.dev/api/accounts/process-period-closing-voucher/process-period-closing-voucher_abc123/cancel \
-H "Authorization: Bearer sk_test_..." \
-X POST {
"id": "process-period-closing-voucher_abc123",
"created_at": "2024-01-15T09: 30: 00Z",
"updated_at": "2024-01-15T09: 30: 00Z",
"status": "draft",
"parent_pcv": "parent_pcv_example",
"p_l_closing_balance": {},
"bs_closing_balance": {}
}